Admin Reorder Sections
curl --request PATCH \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": [
{
"id": "<string>",
"position": 1073741823
}
]
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections"
payload = { "data": [
{
"id": "<string>",
"position": 1073741823
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({data: [{id: '<string>', position: 1073741823}]})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"access_rule_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"meta": {},
"model_id": "<string>",
"model_type": "<string>",
"page_id": "<string>",
"position": 123,
"settings": {},
"title": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visible": true
},
"id": "<string>",
"type": "sections"
}
],
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}pages-admin
Admin Reorder Sections
Bulk-reorder sections for a page by providing a list of pairs.
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
pages
/
{page_id}
/
sections
Admin Reorder Sections
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/vnd.api+json
Show child attributes
Show child attributes
⌘I